Añdir a la carga de GMLs la posibilidad de indicar que los ejes estan intercambiados.
07/24/2014 10:17 AM - Joaquín  del Cerro Murciano
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Keywords: Add-on resolve build:
Has patch: Proyecto:
Description

Hay algunos GML que tienen las X e Y intercambiadas respecto a como las espera gvSIG.
Añdir en el interfaz de usuario la posibilidad de que el usuario indique que han de intercambiarse los valores de la X e Y.

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 2720: Alguno... Closed 07/24/2014

History
#1 - 07/24/2014 11:18 AM - Antonio Falciano

See also #2252.

About axis ordering, for instance GeoServer has adopted some useful assumptions in reference to CRS representation (GML version): 
http://docs.geoserver.org/latest/en/user/services/wfs/basics.html#axis-ordering
So the axis could be swapped directly by code, without the user intervention.

#2 - 07/24/2014 11:53 AM - Álvaro Anguix
- Related to gvSIG feature requests #2720: Algunos servicios WFS envian la X e Y intercambiadas. added

#3 - 07/24/2014 12:36 PM - Joaquín  del Cerro Murciano

Antonio Falciano wrote:

See also #2252.

About axis ordering, for instance GeoServer has adopted some useful assumptions in reference to CRS representation (GML version): 
http://docs.geoserver.org/latest/en/user/services/wfs/basics.html#axis-ordering
So the axis could be swapped directly by code, without the user intervention.

El driver de GML no puede hacer esas asumciones, es el de WFS el que puede hacerlo y luego indicar como quiere que se cargue el GML. Por eso
he repartido la tarea en dos tickets.

Cuando cargo un GML de disco no se quien lo genero, solo tengo el CRS, y no siempre sera suficiente para determinar el orden de los ejes.

#4 - 07/25/2014 04:26 AM - Antonio Falciano
http://docs.geoserver.org/latest/en/user/services/wfs/basics.html#axis-ordering
http://docs.geoserver.org/latest/en/user/services/wfs/basics.html#axis-ordering


- File swap_coordinates.model added

You're right, Joaquín. The MIME subtype with the GML version (e.g. subtype=gml/3.1.1) is not mandatory, so it seems that there are not other
elements in order to understand the axis order. Furthermore, the assumptions made by GeoServer may be not valid for GML coming from
MapServer... So the user interaction is necessary.
As temporary workaround I've made a SEXTANTE model (in attachment).

#5 - 07/25/2014 10:14 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 07/27/2014 09:42 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2239-testing

#7 - 07/28/2014 05:17 AM - Antonio Falciano

It works fine, but the checkbox is quite hidden because of #2613.

#8 - 07/28/2014 05:19 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
swap_coordinates.model 3.31 KB 07/25/2014 Antonio Falciano
